Locale::getKeywords
Locale::getRegion
Locale
PHP Manual

# Locale::getPrimaryLanguage

# locale_get_primary_language

(PHP 5 >= 5.3.0, PECL intl >= 1.0.0)

Locale::getPrimaryLanguage -- locale_get_primary_language — Gets the primary language for the input locale

### Description

Object oriented style

public static string Locale::getPrimaryLanguage ( string `$locale` )

Procedural style

string locale_get_primary_language ( string `$locale` )

Gets the primary language for the input locale

### Parameters

`locale`

  The locale to extract the primary language code from

### Return Values

The language code associated with the language or `NULL` in case of error.

### Examples

Example #1 locale_get_primary_language() example

`<?php
echo locale_get_primary_language('zh-Hant');
?>`

Example #2 OO example

`<?php
echo Locale::getPrimaryLanguage('zh-Hant');
?>`

The above example will output:

    zh

### See Also

- locale_get_script() - Gets the script for the input locale
- locale_get_region() - Gets the region for the input locale
- locale_get_all_variants() - Gets the variants for the input locale

Locale::getKeywords
Locale::getRegion
Locale
PHP Manual